Subject: Re: [bug#68577] [PATCH v2 1/2] gnu: torbrowser: Stop inheriting Icecat.

From: Clément Lassieur <[email-masked]>
Date: Fri, 02 Feb 2024 12:04:39 +0100

Hi André,

On Thu, Feb 01 2024, André Batista wrote:

> qui 25 jan 2024 às 23:54:36 (1706237676), [email-masked] enviou:
>> +
>> +;; Must be of the form YYYYMMDDhhmmss as in `date +%Y%m%d%H%M%S`.
>> +(define %moz-build-date "20240123154553")
>
> First just a heads up so that you do not forget to update the build-date.

Yes, I did rebase locally.  Thanks for the reminder!

> And also on tor.scm:
>
>> diff --git a/gnu/packages/tor.scm b/gnu/packages/tor.scm
>> index 6ded83b83fee..2e2a19ae3e41 100644
>> --- a/gnu/packages/tor.scm
>> +++ b/gnu/packages/tor.scm
>> ...
>>
>> @@ -37,16 +36,10 @@ (define-module (gnu packages tor)
>>    #:use-module (guix utils)
>>    #:use-module (guix download)
>>    #:use-module (guix git-download)
>> -  #:use-module (guix hg-download)
>> -  #:use-module (guix build-system copy)
>>    #:use-module (guix build-system gnu)
>> -  #:use-module (guix build-system mozilla)
>>    #:use-module (guix build-system python)
>>    #:use-module (guix build-system pyproject)
>>    #:use-module (gnu packages)
>> -  #:use-module (gnu packages base)
>
> I think you've mistankenly removed base and also
>
>> -  #:use-module (gnu packages bash)
>> -  #:use-module (gnu packages browser-extensions)
>>    #:use-module (gnu packages libevent)
>>    #:use-module (gnu packages linux)
>>    #:use-module (gnu packages check)
>> @@ -54,11 +47,8 @@ (define-module (gnu packages tor)
>>    #:use-module (gnu packages pcre)
>>    #:use-module (gnu packages freedesktop)
>>    #:use-module (gnu packages glib)
>> -  #:use-module (gnu packages golang)
>> -  #:use-module (gnu packages gnuzilla)
>>    #:use-module (gnu packages pkg-config)
>>    #:use-module (gnu packages python)
>> -  #:use-module (gnu packages python-check)
>
> python-check here.
>
> They were there before the commit which has added torbrowser.
>
> On git logs, it seems 'base' is needed for the 'which' input to torsocks,
> as per f3cf25c3c2aef91a47b790fe69b5008cdb6a6316.
>
> 'python-check' OTOH is needed for the 'python-colorama' input to
> onionshare, as per 55db762b31531609f43b32680298762487702280.

‘make’ was happy but maybe it's not enough?  I'll add them back.

> I have not yet tried to rebuild them without those inputs to see if they
> are actually still needed though. In case they are not, for clarity, I
> think it would be better to remove them on a separate patch anyway.

Yes!

> Finally, I've noticed that we are still using 'ffmpeg-5' as an input to
> both icecat and torbrowser. However, as we are now based on firefox
> version 115, ffmpeg is compatible. I've built it to check and it appears
> to be working fine (though I've only watched one single video to test
> it and only on torbrowser). IMO, this should be also a separate patch.

I agree, for a separate patch!

> Other than that, all looks good to me, even if it gives me a headache. :D

Gives me headaches too :)  Thanks, pushed.
Clément